using AipGateway.AIP;
using AipGateway.API.Domain.Entities;

namespace AipGateway.API.Utils
{
    public static class CompareHelp
    {
        public static bool IsChanged(this TbAipLabel aipLabel, AipLabel label)
        {
            return (aipLabel.LabelName != label.Name) || (aipLabel.LabelDesc != label.Description);
        }
        public static bool IsChanged(this TbAipPolicy aipPolicy, AipLabel label)
        {
            return (aipPolicy.PolicyName != label.Name) || (aipPolicy.PolicyDesc != label.Description);
        }
        public static bool IsChanged(this TbAipProtection aipProtection, AipTemplate label)
        {
            return (aipProtection.ProtectionName != label.Name) || (aipProtection.ProtectionDesc != label.Description);
        }
    }
}
